Skip to main content
GET
Returns a list of coursework items for the given space (course)

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

space_id
integer<uint64>
required

The ID of the course (space) to fetch coursework from

network_id
required

The Network's unique integer ID, or subdomain Unique numeric network ID

Query Parameters

type
string

Filter by coursework type (lesson, quiz, section, overview)

parent_id
integer<uint64>

Filter by parent coursework ID

status
string

Filter by visibility status (posted, hidden, pending)

page
integer<uint64>

Page number for pagination

per_page
integer<uint64>

Items per page (max 100)

Response

A paginated set of coursework items